summaryrefslogtreecommitdiff
path: root/dev-ruby/ast/ast-2.4.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-27 18:53:03 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-27 18:53:03 +0000
commit3482ddf943eff7b8848f1fb31350b99ce349e86a (patch)
tree9c9bb6ec6679e9dc44a84d87ba611989409b12ca /dev-ruby/ast/ast-2.4.2.ebuild
parent8e8120eabdd28020aa69c7a60505cce2edd20adc (diff)
downloadbaldeagleos-repo-21.1.3.tar.gz
baldeagleos-repo-21.1.3.tar.xz
baldeagleos-repo-21.1.3.zip
Updating liguros repov21.1.3
Diffstat (limited to 'dev-ruby/ast/ast-2.4.2.ebuild')
-rw-r--r--dev-ruby/ast/ast-2.4.2.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-ruby/ast/ast-2.4.2.ebuild b/dev-ruby/ast/ast-2.4.2.ebuild
new file mode 100644
index 000000000000..479d20450b76
--- /dev/null
+++ b/dev-ruby/ast/ast-2.4.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="ast.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for working with abstract syntax trees"
+HOMEPAGE="https://github.com/whitequark/ast"
+SRC_URI="https://github.com/whitequark/ast/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? (
+ dev-ruby/bacon )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+ sed -i -e "/git ls/d" ${PN}.gemspec || die
+ sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -S bacon -Itest -a || die
+}